/* Read
 *
 * created: 2009
 *
 * This file is part of Artemis
 *
 * Copyright(C) 2009  Genome Research Limited
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or(at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 */
package uk.ac.sanger.artemis.components.alignment;

class Read
{
  String qname; // query name
  int flag;     // bitwise flag
  String rname; // reference name
  int pos;      // leftmost coordinate
  short mapq;   // MAPping Quality
  String cigar; // extended CIGAR string
  String mrnm;  // Mate Reference sequence NaMe; = if the same as rname
  int mpos;     // leftmost Mate POSition
  int isize;    // inferred Insert SIZE
  String seq;   // query SEQuence; = for a match to the reference; n/N/. for ambiguity
  
  public String toString()
  {
    return qname+"\t"+
           flag+"\t"+
           rname+"\t"+
           pos+"\t"+
           mapq+"\t"+
           cigar+"\t"+
           mrnm+"\t"+
           mpos+"\t"+
           isize+"\t"+
           seq;
  }
}